export interface SharedProtectionPlanSummaryProps {
    id: string;
    name: string;
    description?: string;
    memberCount: number;
    threshold: number;
    createdAt: Date;
}
export declare class SharedProtectionPlanSummary {
    private readonly props;
    constructor(props: SharedProtectionPlanSummaryProps);
    get id(): string;
    get name(): string;
    get description(): string | undefined;
    get memberCount(): number;
    get threshold(): number;
    get createdAt(): Date;
    get status(): string;
}
